<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: RunAction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>RunAction Class Reference</h1><!-- doxytag: class="RunAction" -->
<p><b> (Part of the example simulation and not belonging to GODDeSS.) </b> Defines actions to be taken for every run, using functions inherited from G4UserRunAction. (A Run is started by /run/beamOn and may consist of one or more events.)  
</p>

<p><a href="classRunAction-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRunAction.html#aeb3a8117689d3f452955e47b96871c71">RunAction</a> (<a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *simulationMessenger)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRunAction.html#a6c584eb414c62a6238d5ea9a55601e1c">~RunAction</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRunAction.html#a9a7fb0434c93cf74c79123e89702e36c">BeginOfRunAction</a> (const G4Run *aRun)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classRunAction.html#aafad11a3c9987cab568414da8cd860f5">EndOfRunAction</a> (const G4Run *aRun)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aeb3a8117689d3f452955e47b96871c71"></a><!-- doxytag: member="RunAction::RunAction" ref="aeb3a8117689d3f452955e47b96871c71" args="(SimulationMessenger *simulationMessenger)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RunAction::RunAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classSimulationMessenger.html">SimulationMessenger</a> *&nbsp;</td>
          <td class="paramname"> <em>simulationMessenger</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>creates an object of the <a class="el" href="classUserRunInformation.html" title=" (Part of the example simulation and not belonging to GODDeSS.)  Class to save the...">UserRunInformation</a> and the G4Timer classes </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>simulationMessenger</em>&nbsp;</td><td>class storing and providing variables which are needed in different parts of the simulation. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6c584eb414c62a6238d5ea9a55601e1c"></a><!-- doxytag: member="RunAction::~RunAction" ref="a6c584eb414c62a6238d5ea9a55601e1c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">RunAction::~RunAction </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor:</p>
<ul>
<li>deletes the objects which have been created in the constructor (<a class="el" href="classRunAction.html#aeb3a8117689d3f452955e47b96871c71">RunAction()</a>) </li>
</ul>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9a7fb0434c93cf74c79123e89702e36c"></a><!-- doxytag: member="RunAction::BeginOfRunAction" ref="a9a7fb0434c93cf74c79123e89702e36c" args="(const G4Run *aRun)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RunAction::BeginOfRunAction </td>
          <td>(</td>
          <td class="paramtype">const G4Run *&nbsp;</td>
          <td class="paramname"> <em>aRun</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that will be called by Geant4 at the beginning of each run. </p>

</div>
</div>
<a class="anchor" id="aafad11a3c9987cab568414da8cd860f5"></a><!-- doxytag: member="RunAction::EndOfRunAction" ref="aafad11a3c9987cab568414da8cd860f5" args="(const G4Run *aRun)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void RunAction::EndOfRunAction </td>
          <td>(</td>
          <td class="paramtype">const G4Run *&nbsp;</td>
          <td class="paramname"> <em>aRun</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that will be called by Geant4 at the end of each run. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
